Page MenuHomePhabricator

Update iOS block notices to be page specific
Closed, ResolvedPublic

Description

Once an API exists to check for a page-specific block (See T194585) iOS editor should be updated to use this API to determine if the current user is blocked from editing the page.

On desktop and mobile web, the notice reads "You are blocked from editing Wikipedia." (or project name) for sitewide blocks. For partial blocks the notice reads "You are blocked from editing this page." Please let us know if the system messages need to be modified for proper display on the app.

Event Timeline

dbarratt created this task.Jun 13 2018, 3:41 PM
Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptJun 13 2018, 3:41 PM
TBolliger moved this task from Untriaged to Backlog on the Anti-Harassment board.Jun 13 2018, 4:43 PM
TBolliger moved this task from Backlog to Tracking work by other teams on the Anti-Harassment board.
JMinor triaged this task as Normal priority.Jun 21 2018, 9:24 PM
JMinor added a subscriber: JMinor.

We'll watch the parent tasks, but please ping when this is available. We generally just pass backend messages through directly, so if the correct message is passed we'll probably get this for free. If there are additional properties or flags to check we'll need to roll this into an update.

We'll watch the parent tasks, but please ping when this is available. We generally just pass backend messages through directly, so if the correct message is passed we'll probably get this for free. If there are additional properties or flags to check we'll need to roll this into an update.

Would you mind showing how block notices (pre-edit) look/work on iOS right now? If there are no pre-edit notices, then you can close this task.

Vvjjkkii renamed this task from Update iOS block notices to be page specific to c3aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
jrbs renamed this task from c3aaaaaaaa to Update iOS block notices to be page specific.Jul 1 2018, 7:11 AM
jrbs lowered the priority of this task from High to Normal.
jrbs updated the task description. (Show Details)
jrbs added a subscriber: Aklapper.
TBolliger updated the task description. (Show Details)Jan 17 2019, 12:36 AM
JMinor closed this task as Resolved.May 31 2019, 6:34 PM
JMinor claimed this task.